Summary: User Interface for the System-Wide Profiler
Name: oprofileui-server
Version: 0.0+git0+f168b8bfdc
Release: r0.0
License: GPLv2
Group: x11
Packager: Wind River <info@windriver.com>
URL: http://labs.o-hand.com/oprofileui/
BuildRequires: pkgconfig-native
BuildRequires: libtool-cross
BuildRequires: autoconf-native
BuildRequires: libtool-native
BuildRequires: glib-2.0
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-wrs-linux-compilerlibs
BuildRequires: gnu-config-native
BuildRequires: virtual/x86_64-wrs-linux-gcc
BuildRequires: avahi
BuildRequires: update-rc.d-native
BuildRequires: automake-native
Requires: libavahi-glib.so.1()(64bit)
Requires: libavahi-client.so.3()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: /bin/sh
Requires: libavahi-common3(x86_64) >= 0.6.31
Requires: libglib-2.0.so.0()(64bit)
Requires: libavahi-glib1(x86_64) >= 0.6.31
Requires: libc6 >= 2.18+4.8
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: rtld(GNU_HASH)
Requires: libavahi-client3(x86_64) >= 0.6.31
Requires: oprofile
Requires: libm.so.6()(64bit)
Requires: libglib-2.0-0(x86_64) >= 2.36.4
Requires: libavahi-common.so.3()(64bit)
Requires(post): libavahi-glib.so.1()(64bit)
Requires(post): libavahi-client.so.3()(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): /bin/sh
Requires(post): libavahi-common3(x86_64) >= 0.6.31
Requires(post): libglib-2.0.so.0()(64bit)
Requires(post): libavahi-glib1(x86_64) >= 0.6.31
Requires(post): libc6 >= 2.18+4.8
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): rtld(GNU_HASH)
Requires(post): libavahi-client3(x86_64) >= 0.6.31
Requires(post): oprofile
Requires(post): libm.so.6()(64bit)
Requires(post): libglib-2.0-0(x86_64) >= 2.36.4
Requires(post): libavahi-common.so.3()(64bit)
Requires(preun): libavahi-glib.so.1()(64bit)
Requires(preun): libavahi-client.so.3()(64bit)
Requires(preun): libc.so.6(GLIBC_2.14)(64bit)
Requires(preun): /bin/sh
Requires(preun): libavahi-common3(x86_64) >= 0.6.31
Requires(preun): libglib-2.0.so.0()(64bit)
Requires(preun): libavahi-glib1(x86_64) >= 0.6.31
Requires(preun): libc6 >= 2.18+4.8
Requires(preun): libc.so.6()(64bit)
Requires(preun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(preun): rtld(GNU_HASH)
Requires(preun): libavahi-client3(x86_64) >= 0.6.31
Requires(preun): oprofile
Requires(preun): libm.so.6()(64bit)
Requires(preun): libglib-2.0-0(x86_64) >= 2.36.4
Requires(preun): libavahi-common.so.3()(64bit)
Requires(postun): libavahi-glib.so.1()(64bit)
Requires(postun): libavahi-client.so.3()(64bit)
Requires(postun): libc.so.6(GLIBC_2.14)(64bit)
Requires(postun): /bin/sh
Requires(postun): libavahi-common3(x86_64) >= 0.6.31
Requires(postun): libglib-2.0.so.0()(64bit)
Requires(postun): libavahi-glib1(x86_64) >= 0.6.31
Requires(postun): libc6 >= 2.18+4.8
Requires(postun): libc.so.6()(64bit)
Requires(postun): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(postun): rtld(GNU_HASH)
Requires(postun): libavahi-client3(x86_64) >= 0.6.31
Requires(postun): oprofile
Requires(postun): libm.so.6()(64bit)
Requires(postun): libglib-2.0-0(x86_64) >= 2.36.4
Requires(postun): libavahi-common.so.3()(64bit)
Suggests: update-rc.d

%description
User interface for the OProfile tool

%package -n oprofileui-server-dbg
Summary: User Interface for the System-Wide Profiler - Debugging files
Group: devel
Suggests: libavahi-client-dbg
Suggests: libavahi-common-dbg
Suggests: libc6-dbg(x86_64)
Suggests: libavahi-glib-dbg
Suggests: libglib-2.0-dbg(x86_64)
Recommends: oprofileui-server = 0.0+git0+f168b8bfdc-r0.0

%description -n oprofileui-server-dbg
User interface for the OProfile tool  This package contains ELF symbols and
related sources for debugging purposes.

%package -n oprofileui-server-staticdev
Summary: User Interface for the System-Wide Profiler - Development files (Static Libraries)
Group: devel
Requires: oprofileui-server-dev = 0.0+git0+f168b8bfdc-r0.0

%description -n oprofileui-server-staticdev
User interface for the OProfile tool  This package contains static
libraries for software development.

%package -n oprofileui-server-dev
Summary: User Interface for the System-Wide Profiler - Development files
Group: devel
Requires: oprofileui-server = 0.0+git0+f168b8bfdc-r0.0
Suggests: libavahi-common-dev
Suggests: oprofile-dev(x86_64)
Suggests: libavahi-glib-dev
Suggests: libc6-dev(x86_64)
Suggests: libglib-2.0-dev(x86_64)
Suggests: avahi-dev(x86_64)
Suggests: libavahi-client-dev

%description -n oprofileui-server-dev
User interface for the OProfile tool  This package contains symbolic links,
header files, and related items necessary for software development.

%package -n oprofileui-server-doc
Summary: User Interface for the System-Wide Profiler - Documentation files
Group: doc

%description -n oprofileui-server-doc
User interface for the OProfile tool  This package contains documentation.

%package -n oprofileui-server-locale
Summary: User Interface for the System-Wide Profiler
Group: x11

%description -n oprofileui-server-locale
User interface for the OProfile tool

%post
# oprofileui-server - postinst
#!/bin/sh
if test "x$D" != "x"; then
	OPT="-r $D"
else
	OPT="-s"
fi
if type update-rc.d >/dev/null 2>/dev/null; then
	update-rc.d $OPT oprofileui-server start 999 5 2 . stop 20 0 1 6 .
fi


%preun
# oprofileui-server - prerm
#!/bin/sh
if [ "$1" = "0" ] ; then
if test "x$D" = "x"; then
	/etc/init.d/oprofileui-server stop
fi
fi

%postun
# oprofileui-server - postrm
#!/bin/sh
if [ "$1" = "0" ] ; then
if test "$D" != ""; then
	OPT="-f -r $D"
else
	OPT=""
fi
if type update-rc.d >/dev/null 2>/dev/null; then
	update-rc.d $OPT oprofileui-server remove
fi
fi

%files
%defattr(-,-,-,-)
%dir "/usr"
%dir "/etc"
%dir "/usr/bin"
"/usr/bin/oprofile-server"
%dir "/etc/init.d"
"/etc/init.d/oprofileui-server"

%files -n oprofileui-server-dbg
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/src"
%dir "/usr/bin"
%dir "/usr/src/debug"
%dir "/usr/src/debug/oprofileui-server"
%dir "/usr/src/debug/oprofileui-server/0.0+gitAUTOINC+f168b8bfdc-r0"
%dir "/usr/src/debug/oprofileui-server/0.0+gitAUTOINC+f168b8bfdc-r0/git"
%dir "/usr/src/debug/oprofileui-server/0.0+gitAUTOINC+f168b8bfdc-r0/git/protocol"
%dir "/usr/src/debug/oprofileui-server/0.0+gitAUTOINC+f168b8bfdc-r0/git/server"
"/usr/src/debug/oprofileui-server/0.0+gitAUTOINC+f168b8bfdc-r0/git/protocol/util.c"
"/usr/src/debug/oprofileui-server/0.0+gitAUTOINC+f168b8bfdc-r0/git/protocol/command.h"
"/usr/src/debug/oprofileui-server/0.0+gitAUTOINC+f168b8bfdc-r0/git/protocol/response.h"
"/usr/src/debug/oprofileui-server/0.0+gitAUTOINC+f168b8bfdc-r0/git/protocol/util.h"
"/usr/src/debug/oprofileui-server/0.0+gitAUTOINC+f168b8bfdc-r0/git/server/mdns.c"
"/usr/src/debug/oprofileui-server/0.0+gitAUTOINC+f168b8bfdc-r0/git/server/mdns.h"
"/usr/src/debug/oprofileui-server/0.0+gitAUTOINC+f168b8bfdc-r0/git/server/opserver.c"
%dir "/usr/bin/.debug"
"/usr/bin/.debug/oprofile-server"

%files -n oprofileui-server-dev
%defattr(-,-,-,-)

%files -n oprofileui-server-doc
%defattr(-,-,-,-)
%dir "/usr"
%dir "/usr/share"
%dir "/usr/share/doc"
%dir "/usr/share/doc/oprofileui"
"/usr/share/doc/oprofileui/NEWS"
"/usr/share/doc/oprofileui/AUTHORS"
"/usr/share/doc/oprofileui/INSTALL"
"/usr/share/doc/oprofileui/README"
"/usr/share/doc/oprofileui/ChangeLog"
"/usr/share/doc/oprofileui/COPYING"

